methods:
  post:
    - editemail_email
    - editemail_confirmemail

fillin:
  enabled: true
  param:
   check_types:     [ text ]

names:
  editemail_email:
    required:     true
    required_msg: email obligatoire
    validators:   [ MyEmailValidator, MyUniqueValidator ]

  editemail_confirmemail:
    required:     true
    required_msg: email de confirmation obligatoire
    validators:   [ MyEmailValidator, MyConfirmEmailValidator ]

MyEmailValidator:
    class:           sfEmailValidator
    param:
      strict:        true
      email_error:   cette adresse email n'est pas valide    

MyUniqueValidator:
    class:           sfPropelUniqueValidator
    param:
      class:         Customer
      column:        EMAIL
      unique_error:  cette adresse email existe d&eacute;j&agrave; dans notre base, merci d'en choisir une autre

MyConfirmEmailValidator:
    class:           sfCompareValidator
    param:
      check:         editemail_email
      compare_error: les deux emails ne correspondent pas
